Package org.apache.jmeter.gui.action

# Class Duplicate

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Duplicate

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class Duplicate extends AbstractAction
Implements the Duplicate menu command

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Duplicate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  `Set<String>`
  `getActionNames()`

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Duplicate

    public Duplicate()

- ## Method Details

  - ### getActionNames

    public Set<String> getActionNames()

  - ### doAction

    public void doAction(ActionEvent e)
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    See Also:
      - `Command.doAction(ActionEvent)`